CGAL 6.1.2 - 3D Triangulations: CGAL::Triangulation_simplex_3< TriangulationDataStructure_3 > Class Template Reference

CGAL 6.1.2 - 3D Triangulations

Loading...
Searching...
No Matches
List of all members
CGAL::Triangulation_simplex_3< TriangulationDataStructure_3 > Class Template Reference
Reference Manual » Vertex and Cell Classes

`#include <CGAL/Triangulation_simplex_3.h>`

## Definition

template<typename TriangulationDataStructure_3>
class CGAL::Triangulation_simplex_3< TriangulationDataStructure_3 >

The class `Triangulation_simplex_3` stores a simplex of any dimension defined by the `TriangulationDataStructure_3` class.

It also defines the operator less such that simplices can be stored in a `map` or a `set` of simplices. The simplex is invalidated by any change in the triangulation.

Parameters

It is parameterized by the triangulation it derives the simplices from.

See also
  `CGAL::Triangulation_3<TriangulationTraits_3,TriangulationDataStructure_3>`

Examples
  Triangulation_3/segment_simplex_traverser_3.cpp.

## Types
typedef Triangulation_simplex_3< TriangulationDataStructure_3 > | Simplex
| The simplex class itself.
typedef TriangulationDataStructure_3::Vertex_handle | Vertex_handle
typedef TriangulationDataStructure_3::Edge | Edge
typedef TriangulationDataStructure_3::Facet | Facet
typedef TriangulationDataStructure_3::Cell_handle | Cell_handle
typedef TriangulationDataStructure_3::Cell_circulator | Cell_circulator
typedef TriangulationDataStructure_3::Facet_circulator | Facet_circulator
typedef TriangulationDataStructure_3::Edge_iterator | Edge_iterator
typedef TriangulationDataStructure_3::Facet_iterator | Facet_iterator
typedef TriangulationDataStructure_3::Finite_vertices_iterator | Finite_vertices_iterator
typedef TriangulationDataStructure_3::Finite_edges_iterator | Finite_edges_iterator
typedef TriangulationDataStructure_3::Finite_facets_iterator | Finite_facets_iterator
typedef TriangulationDataStructure_3::Finite_cells_iterator | Finite_cells_iterator

## Creation
| Triangulation_simplex_3 ()
| Initializes the simplex to an invalid simplex.
| Triangulation_simplex_3 (Vertex_handle vh)
| Triangulation_simplex_3 (Edge e)
| Triangulation_simplex_3 (Facet f)
| Triangulation_simplex_3 (Cell_handle ch)
| Triangulation_simplex_3 (Cell_circulator ccir)
| Triangulation_simplex_3 (Facet_circulator fcir)
| Triangulation_simplex_3 (Edge_iterator eit)
| Triangulation_simplex_3 (Facet_iterator fit)

## Operations
int | dimension () const
| returns the dimension of the simplex.
| operator Vertex_handle () const
| Returns the `Vertex_handle` stored in the simplex.
| operator Edge () const
| Returns the `Edge` stored in the simplex.
| operator Facet () const
| Returns the `Facet` stored in the simplex.
| operator Cell_handle () const
| Returns the `Cell_handle` stored in the simplex.
Cell_handle | incident_cell () const
| Returns a cell incident to the simplex.
bool | operator== (const Triangulation_simplex_3< TriangulationDataStructure_3 > &s1)
| Test whether two simplices are equal.
bool | operator< (const Triangulation_simplex_3< TriangulationDataStructure_3 > &s1)
| Defines a ordering on the simplices.

## Member Function Documentation

## ◆ operator Cell_handle()

template<typename TriangulationDataStructure_3 >

CGAL::Triangulation_simplex_3< TriangulationDataStructure_3 >::operator Cell_handle | ( |  | ) | const

Returns the `Cell_handle` stored in the simplex.

Precondition
  dimension() == 3

## ◆ operator Edge()

template<typename TriangulationDataStructure_3 >

CGAL::Triangulation_simplex_3< TriangulationDataStructure_3 >::operator Edge | ( |  | ) | const

Returns the `Edge` stored in the simplex.

Precondition
  dimension() == 1

## ◆ operator Facet()

template<typename TriangulationDataStructure_3 >

CGAL::Triangulation_simplex_3< TriangulationDataStructure_3 >::operator Facet | ( |  | ) | const

Returns the `Facet` stored in the simplex.

Precondition
  dimension() == 2

## ◆ operator Vertex_handle()

template<typename TriangulationDataStructure_3 >

CGAL::Triangulation_simplex_3< TriangulationDataStructure_3 >::operator Vertex_handle | ( |  | ) | const

Returns the `Vertex_handle` stored in the simplex.

Precondition
  dimension() == 0

## ◆ operator<()

template<typename TriangulationDataStructure_3 >

bool CGAL::Triangulation_simplex_3< TriangulationDataStructure_3 >::operator< | ( | const Triangulation_simplex_3< TriangulationDataStructure_3 > & | s1 | ) |

Defines a ordering on the simplices.

This ordering depends on the memory layout and is independent of the geometry. Therefore, the ordering is not intrinsic